cerhu > linux.debian.user.french

Seb (01/09/2019, 22h10)
Bonjour !

J'ai installé hier une Debian Buster. C'est une installation à neuf, dans
laquelle j'ai ensuite réinstallé mes packages usuels:
apt-cache dumpavail > truc
sudo dpkg --merge-avail truc
rm truc
sudo dpkg --set-selections < packages-a-reinstaller
sudo apt-get dselect-upgrade

Tout s'est bien passé excepté l'installation de fuse:

# apt-get install fuse
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
fuse
0 upgraded, 1 newly installed, 0 to remove and 48 not upgraded.
Need to get 72.3 kB of archives.
After this operation, 144 kB of additional disk space will be used.
Get:1 [..] buster/main amd64 fuse amd64 2.9.9-1
[72.3 kB]
Fetched 72.3 kB in 0s (601 kB/s)
Selecting previously unselected package fuse.
(Reading database ... 373204 files and directories currently installed.)
Preparing to unpack .../fuse_2.9.9-1_amd64.deb ...
Unpacking fuse (2.9.9-1) ...
Setting up fuse (2.9.9-1) ...
dpkg: error processing package fuse (--configure):
installed fuse package post-installation script subprocess returned error
exit status 1
Processing triggers for man-db (2.8.7-3) ...
Errors were encountered while processing:
fuse
E: Sub-process /usr/bin/dpkg returned an error code (1)

J'ai essayé plusieurs fois, en ponctuant de --purge remove, en enlevant ou
non le .deb du cache: rien à faire. Et le message d'erreur ci-dessus ne
m'aide guère à comprendre le problème.

Le message signale le "post-installation script" alors j'ai regardé
/var/lib/dpkg/info/fuse.postinst. Mais ça ne doit pas être le bon fichier
car "exit 1" n'apparaît que dans le cas "*)" et s'il était appelé on
devrait voir d'abord le message
echo "postinst called with unknown argument \`${1}'" >&2

Je ne vois pas d'information dans /var/log/syslog, et dans
/var/log/apt/term.log, le message d'erreur est le même que ci-dessus.

Si j'enlève (--purge remove) fuse, apt ne signale pas de problème:

# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 48 not upgraded.

Par contre, j'ai des packages non installés qui sont bloqués par l'échec
sur fuse:

# apt-get dselect-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
exfat-fuse fuse kdeconnect libaribb25-0 libdav1d1 libdsm3 libfaac0
libfdk-aac2 libffms2-4 libilbc2 libkvazaar4 liblivemedia66 libmfx1 libnfs13
libogdi4.1 libopenh264-5 libplacebo2 libzimg2 ntfs-3g nvidia-legacy-check
sshfs vapoursynth vapoursynth-ffms2
The following packages will be upgraded:
audacious audacious-plugins audacious-plugins-data ffmpeg gstreamer1.0-gl
gstreamer1.0-plugins-bad gstreamer1.0-plugins-base gstreamer1.0-plugins-good
handbrake-cli k3b k3b-data kdenlive kdenlive-data libasound2-plugins
libaudcore5 libaudgui5 libaudtag3 libavcodec58 libavdevice58 libavfilter7
libavformat58 libavresample4 libavutil56 libchromaprint1
libffmpegthumbnailer4v5 libgegl-0.4-0 libgegl-common libgstreamer-gl1.0-0
libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libk3b7
libk3b7-extracodecs libmlt++3 libmlt6 libpostproc55 libquicktime2
libswresample3 libswscale5 melt mpv python-mlt vlc-data vlc-l10n
vlc-plugin-base vlc-plugin-qt vlc-plugin-samba vlc-plugin-skins2
vlc-plugin-video-output
48 upgraded, 23 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/64.9 MB of archives.
After this operation, 14.9 MB of additional disk space will be used.
Do you want to continue? [Y/n]

Je ne pense que l'information ci-dessus soit pertinente, c'est-à-dire que
cette file d'attente puisse expliquer le blocage de l'installation de fuse
-- mais comme je n'ai pas de piste sérieuse, autant que je signale ce qui
sort de l'ordinaire.

Auriez-vous une piste pour m'aider à installer fuse ?

Merci d'avance !
Seb.
Jean-Marc (01/09/2019, 22h50)
Sun, 1 Sep 2019 21:50:49 +0200 (CEST)
Seb <seb> écrivait :

> Bonjour !


salut Seb,

> J'ai installé hier une Debian Buster. C'est une installation à neuf, dans
> laquelle j'ai ensuite réinstallé mes packages usuels:
> apt-cache dumpavail > truc
> sudo dpkg --merge-avail truc
> rm truc
> sudo dpkg --set-selections < packages-a-reinstaller
> sudo apt-get dselect-upgrade
> Tout s'est bien passé excepté l'installation de fuse:


Ça ressemble à ça :
[..]

Si tel est le cas, c'est fixé depuis aujourd'hui dans la version 2.9.9-2.
Un peu de patience pour voir atterrir le fix dans Buster.

Jean-Marc <jean-marc>
[..]
Seb (03/09/2019, 10h10)
Bonjour Jean-Marc,

>> Tout s'est bien passé excepté l'installation de fuse:

> Ça ressemble à ça :
> [..]


Merci beaucoup !

> Si tel est le cas, c'est fixé depuis aujourd'hui dans la version 2.9.9-2.
> Un peu de patience pour voir atterrir le fix dans Buster.


Super nouvelle. J'ai fait de nouveaux essais d'installation hier et ce
matin, sans succès; au final j'ai installé la version unstable il y a
quelques minutes; depuis tout est bon.

Merci pour ton aide !
Seb.
Discussions similaires
pousser d'une fusé dans l'espace...

La NASA africaine lance une fusé

fuse/fusermount : question culturelle.

[octopus] Ca fuse...


Fuseau horaire GMT +2. Il est actuellement 14h12. | Privacy Policy